GMS2: Fehler bei apk erstellung

  • Android

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

  • GMS2: Fehler bei apk erstellung

    Hallo zusammen, ich brauch mal wieder Eure hilfe.
    Fogendes gemacht:
    System Win11 Pro, aktueller Stand.
    GMS2 neu installiert (Keine Steamversion)
    Update durchgeführt

    Version:
    Android Studio Bumblebee // 2021.1.1 installiert.
    Installationspfad: D:\Android\AndroidStudio

    Folgende SDK/NDK Dateien installiert.



    Einstellungen in GMS2:



    GMS2 Ausgabe:
    Ich vermute das es an dem hier liegt:
    Android NDK: android-14 is unsupported. Using minimum supported version android-16.

    Aber was muss hier nun gemacht werden?


    Schonmal vielen Dank.
    Gruß,
    Fabbio

    ---------------------------------------------------------------------------------------------------------------------------------------------------------------


    "cmd" /c subst Z: "C:\Users\fabbi\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE"


    elapsed time 00:00:00.0241873s for command "cmd" /c subst Z: "C:\Users\fabbi\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE" started at 04/09/2022 15:44:52
    "cmd" /c subst Y: "C:\Users\fabbi\AppData\Local\GameMakerStudio2\GMS2TEMP"


    elapsed time 00:00:00.0240062s for command "cmd" /c subst Y: "C:\Users\fabbi\AppData\Local\GameMakerStudio2\GMS2TEMP" started at 04/09/2022 15:44:52
    "cmd" /c subst W: "C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2022.3.0.497"


    elapsed time 00:00:00.0250044s for command "cmd" /c subst W: "C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2022.3.0.497" started at 04/09/2022 15:44:52
    "C:\ProgramData/GameMakerStudio2/Cache/runtimes\runtime-2022.3.0.497/bin/Igor.exe" -j=8 -options="C:\Users\fabbi\AppData\Local\GameMakerStudio2\GMS2TEMP\build.bff" -v -- Android Package


    Loaded Macros from C:\Users\fabbi\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE\GM_V4_79BCF44B\macros.json
    Options: W:/bin\platform_setting_defaults.json
    Options: C:\Users\fabbi\AppData\Roaming/GameMakerStudio2\fabbio_130280\local_settings.json
    Options: C:\Users\fabbi\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE\GM_V4_79BCF44B\targetoptions.json
    Setting up the Asset compiler
    W://bin/GMAssetCompiler.exe /c /mv=1 /zpex /iv=0 /rv=0 /bv=0 /j=8 /gn="GM_V4" /td="Y:/" /cd="Z:/GM_V4_79BCF44B" /zpuf="C:\Users\fabbi\AppData\Roaming/GameMakerStudio2\fabbio_130280" /m=llvm-android /tgt=8 /llvmSource="W://yyc/" /nodnd /cfg="Default" /fU="Z:/GM_V4_79BCF44B\functionsUsed.txt" /o="Y:/GM_V4_1B5E9A56_YYC" /optionsini="Y:/GM_V4_1B5E9A56_YYC\options.ini" /baseproject="W:/BaseProject\BaseProject.yyp" "C:\Users\fabbi\Documents\GameMakerStudio2\GM_V4\GM_V4.yyp" /preprocess="Z:/GM_V4_79BCF44B"
    Found Project Format 2
    ProjectFileWatcher:StartWatching:C:\Users\fabbi\Documents\GameMakerStudio2\GM_V4
    Started: 09.04.2022 15:44:53
    Finished: 09.04.2022 15:44:54
    Diff: 00:00:00.6191351
    Loaded Project: GM_V4
    finished.
    Release build
    Options: Z:/GM_V4_79BCF44B\ExtensionOptions.json
    PlatformOptions
    Options: Z:/GM_V4_79BCF44B\PlatformOptions.json
    Options: Z:/GM_V4_79BCF44B\MainOptions.json
    displayname
    hostname
    runtime
    About to execute:D:\Android\AndroidStudioSDK\platform-tools\adb devices
    OptionsIni
    PlatformOptions
    W://bin/GMAssetCompiler.exe /c /mv=1 /zpex /iv=0 /rv=0 /bv=0 /j=8 /gn="GM_V4" /td="Y:/" /cd="Z:/GM_V4_79BCF44B" /zpuf="C:\Users\fabbi\AppData\Roaming/GameMakerStudio2\fabbio_130280" /m=llvm-android /tgt=8 /llvmSource="W://yyc/" /nodnd /cfg="Default" /fU="Z:/GM_V4_79BCF44B\functionsUsed.txt" /o="Y:/GM_V4_1B5E9A56_YYC" /optionsini="Y:/GM_V4_1B5E9A56_YYC\options.ini" /baseproject="W:/BaseProject\BaseProject.yyp" "C:\Users\fabbi\Documents\GameMakerStudio2\GM_V4\GM_V4.yyp" /arch=18 /bt=exe /rt=yyc
    Compile Constants...finished.
    Remove DnD...finished.
    Compile Scripts...finished.
    Compile Rooms...finished.
    Compile Objects...finished.
    Compile Timelines...finished.
    Compile Triggers...finished.
    Compile Extensions...finished.
    Global scripts...finished.
    finished.
    collapsing enums.
    Final Compile...finished.
    Looking for built-in particle images in C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2022.3.0.497\bin\ParticleImages
    Writing Chunk... GEN8 size ... 0,00 MB
    option_game_speed=30
    Writing Chunk... OPTN size ... 0,00 MB
    Writing Chunk... LANG size ... 0,00 MB
    Writing Chunk... EXTN size ... 0,00 MB
    Writing Chunk... SOND size ... 0,00 MB
    Writing Chunk... AGRP size ... 0,00 MB
    Writing Chunk... SPRT size ... 0,00 MB
    Writing Chunk... BGND size ... 0,12 MB
    Writing Chunk... PATH size ... 0,00 MB
    Writing Chunk... SCPT size ... 0,00 MB
    Writing Chunk... GLOB size ... 0,00 MB
    Writing Chunk... SHDR size ... 0,00 MB
    Writing Chunk... FONT size ... 0,00 MB
    Writing Chunk... TMLN size ... 0,00 MB
    Writing Chunk... OBJT size ... 0,00 MB
    Writing Chunk... FEDS size ... 0,00 MB
    Writing Chunk... ACRV size ... 0,00 MB
    Writing Chunk... SEQN size ... 0,00 MB
    Writing Chunk... TAGS size ... 0,00 MB
    Writing Chunk... ROOM size ... 0,00 MB
    Writing Chunk... DAFL size ... 0,01 MB
    Writing Chunk... EMBI size ... 0,00 MB
    Writing Chunk... TPAGE size ... 0,00 MB
    Texture Group - Default
    Writing Chunk... TGIN size ... 0,00 MB
    Writing Chunk... STRG size ... 0,00 MB
    Writing Chunk... TXTR size ... 0,00 MB
    0 Compressing texture... writing texture texture_0.png...
    Writing Chunk... AUDO size ... 0,13 MB
    ClangExeLocation=D:\Android\AndroidStudioSDK\ndk\21.3.6528147\toolchains\llvm\prebuilt\windows-x86_64\bin\clang++.exe
    Using NDKDir = D:\Android\AndroidStudioSDK\ndk\21.3.6528147
    Using PlatformDir = D:\Android\AndroidStudioSDK\ndk\21.3.6528147\platforms\android-30
    saving file Y:/GM_V4_1B5E9A56_YYC\GM_V4.droid
    Android NDK: android-14 is unsupported. Using minimum supported version android-16.
    Android NDK: WARNING: APP_PLATFORM android-16 is higher than android:minSdkVersion 14 in ./AndroidManifest.xml. NDK binaries will *not* be compatible with devices older than android-16. See android.googlesource.com/platf…s/user/common_problems.md for more information.
    [armeabi-v7a] Install : liboboe.so => Y:/GM_V4_1B5E9A56_YYC/lib/armeabi-v7a/liboboe.so
    [armeabi-v7a] Install : libc++_shared.so => Y:/GM_V4_1B5E9A56_YYC/lib/armeabi-v7a/libc++_shared.so
    [arm64-v8a] Install : liboboe.so => Y:/GM_V4_1B5E9A56_YYC/lib/arm64-v8a/liboboe.so
    [arm64-v8a] Install : libc++_shared.so => Y:/GM_V4_1B5E9A56_YYC/lib/arm64-v8a/libc++_shared.so
    [arm64-v8a] Compile++ : yoyo <= GM_V4.vars.cpp
    error: PCH file built from a different branch ((android.googlesource.com/toolchain/clang b55f2d4ebfd35bf643d27dbca1bb228957008617) (android.googlesource.com/toolchain/llvm 3c393fe7a7e13b0fba4ac75a01aa683d7a5b11cd)) than the compiler ((android.googlesource.com/toolchain/llvm-project 98c855489587874b2a325e7a516b99d838599c6f))
    1 error generated.
    make: *** [D:/Android/AndroidStudioSDK/ndk/21.3.6528147/build//../build/core/build-binary.mk:478: obj/local/arm64-v8a/objs/yoyo/GM_V4.vars.o] Error 1
    make: *** Waiting for unfinished jobs....
    [armeabi-v7a] Compile++ arm : yoyo <= GM_V4.vars.cpp
    error: PCH file built from a different branch ((android.googlesource.com/toolchain/clang b55f2d4ebfd35bf643d27dbca1bb228957008617) (android.googlesource.com/toolchain/llvm 3c393fe7a7e13b0fba4ac75a01aa683d7a5b11cd)) than the compiler ((android.googlesource.com/toolchain/llvm-project 98c855489587874b2a325e7a516b99d838599c6f))
    1 error generated.
    make: *** [D:/Android/AndroidStudioSDK/ndk/21.3.6528147/build//../build/core/build-binary.mk:478: obj/local/armeabi-v7a/objs/yoyo/GM_V4.vars.o] Error 1
    Stats : GMA : Elapsed=5496,3242
    Stats : GMA : sp=12,au=1,bk=0,pt=0,sc=5,sh=0,fo=1,tl=0,ob=11,ro=1,da=0,ex=0,ma=207,fm=0xB1040AA80024
    W://bin/GMAssetCompiler.exe exited with non-zero status (2)
    elapsed time 00:00:07.2078101s for command "C:\ProgramData/GameMakerStudio2/Cache/runtimes\runtime-2022.3.0.497/bin/Igor.exe" -j=8 -options="C:\Users\fabbi\AppData\Local\GameMakerStudio2\GMS2TEMP\build.bff" -v -- Android Package started at 04/09/2022 15:44:52
    "cmd" /c subst Z: /d


    elapsed time 00:00:00.0250169s for command "cmd" /c subst Z: /d started at 04/09/2022 15:44:59
    "cmd" /c subst Y: /d


    elapsed time 00:00:00.0244755s for command "cmd" /c subst Y: /d started at 04/09/2022 15:44:59
    "cmd" /c subst W: /d


    elapsed time 00:00:00.0270050s for command "cmd" /c subst W: /d started at 04/09/2022 15:44:59
    FAILED: Package Program Complete
    For the details of why this build failed, please review the whole log above and also see your Compile Errors window.
  • Moinsen,

    wollte mal seit langer Zeit auch wieder was für Android machen und es hat sich viel verändert - auch von den Versionen.
    Wo hast du die JRE heruntergeladen bzw. was für eine Version ist das?

    Ich habe nämlich auch Compile-Probleme und soweit ich es im Internet herauslesen kann liegt es wohl an der JRE Version.
    Weiß aber nicht so recht welche genau ich da jetzt für benötige, ob die neuste funktioniert oder ich eine ältere brauche.
    Und ich weiß auch nicht, ob ich mich dafür bei Oracle registrieren muss, um die richtige herunterzuladen.

    Wenn du nen' Download Link parat hast, wäre es nett, wenn du mir den schicken könntest :D
    Ich suche in der Zeit weiter


    In der Zwischenzeit noch mein Fehler:
    Spoiler anzeigen

    * What went wrong:
    Could not compile build file 'W:\com.company.game\build.gradle'.
    > startup failed:
    General error during conversion: Unsupported class file major version 61
    java.lang.IllegalArgumentException: Unsupported class file major version 61

    Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von icqgamer ()

  • Es ist immer wieder ein Abenteuer, wenn man etwas für Android konfigurieren möchte.

    Ich habe es nun bei meinem 2. Laptop versucht nachzustellen.
    Nix, Nada geht.

    Alles nochmals deinstalliert, Android und Gamemaker.
    Android Studio wieder installiert, mit dem gleichen paketen.
    Aber diesmal den pfad für die SDK pakete original gelassen.
    Bei mir, "C:\Users\fabbi\AppData\Local\Android\Sdk"
    Nun wollte aber die einstellung in GMS zum NDK nicht funktionieren, bzw. hat hier
    das Compilieren nicht funktioniert.

    Jetzt habe ich mal die Dateien der Laptops im %appdata% Odner verglichen, und da ist mir aufgefallen
    das im Laptop1 zusätzlich der Ordner "ndk-bundle" vorhanden ist und auf dem zweiten nicht!?

    Naja, habe diesen Ordner komplett vom Laptop1 auf den Laptop2 kopiert.
    Bei beiden Rechnener nun den SDK Pfad original gelassen.
    Im GMS den NDK Ordner , "C:\Users\fabbi\AppData\Local\Android\Sdk\ndk-bundle" angegeben.

    natürlich auch den JRE pfad gesetzt.
    Und, bei beiden Rechnern funktionert das Compilieren :)
    Ich weis nicht, warum das erstellen von Android.apk's immer so kompliziert sein muss :(

    Hier mal die neuen Einstellungen von beiden Rechnern.:
    Ich hoffe es hilft anderen.















    Und hier der Ordener, wo bei einem Rechner vohanden, beim ander nicht vorhanden, war!?
  • Das ist echt verwirrend.
    Aber wenn es läuft, soll es mir so auch recht sein.
    Schade das es einem immer so schwer gemacht wird. :(

    Ich habe auch noch GLB, das motzt rum wenn Android Studio nich auf C:\ installiert wird
    Möcht mir aber nich immer die C Platte zumüllen. Auch hier schade, GLB find ich ansonsten Top.

    Bei AGK Studio wird wiederum das Orace JDK 8 verlangt.

    Das ist manchmal zum Harre raufen.
  • Neu

    Hallo zusammen,
    ich möchte mich zunächst einmal für das Freischalten beim Admin bedanken.

    Ich habe diese Nachricht bei Google gefunden und bin neugierig geworden, da ich ebenfalls Probleme mit der Kompilierung für Android haben.
    Allerdings hatte ich mir die Version Steam Version zugelegt. Ich hoffe das war kein Fehler. :)

    Mir ist beim durchlesen aufgefallen, dass bei mir zwar das gleiche bei Voreinstellungen steht wie bei dir Fabbio, ich kann aber bei Spieleoptionen Android unter Build Einstellungen kein API Level auswählen.
    Ich denke ihr könnt das mit einem PullDown Menü auswählen.
    Das geht bei mir nicht.

    Könnt ihr euch vielleicht erklären, wieso das sein kann?
    Oder liege ich damit falsch?

    LG
    Thomas
  • Benutzer online 4

    4 Besucher